%define major 2
%define libname %mklibname telnet %{major}
%define develname %mklibname telnet -d

Name:		libtelnet
Version:	0.21
Release:	%mkrel 8
Summary:	TELNET protocol parsing framework
Group:		System/Libraries
License:	Public Domain
URL:		https://github.com/seanmiddleditch/libtelnet
Source0:	http://cloud.github.com/downloads/seanmiddleditch/libtelnet/libtelnet-%{version}.tar.gz
BuildRequires: 	pkgconfig(zlib)
BuildRequires: 	doxygen

%description
Small library for parsing the TELNET protocol, responding to TELNET
commands via an event interface, and generating valid TELNET commands.

libtelnet includes support for the non-official MCCP, MCCP2, ZMP, and
MSSP protocols used by MUD servers and clients.

%package -n     %{libname}
Summary:	TELNET protocol parsing framework
Group:          System/Libraries

%description -n %{libname}
Small library for parsing the TELNET protocol, responding to TELNET
commands via an event interface, and generating valid TELNET commands.

libtelnet includes support for the non-official MCCP, MCCP2, ZMP, and
MSSP protocols used by MUD servers and clients.

%package -n     %{develname}
Summary: 	Header files for libtelnet
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       telnet-devel = %{version}-%{release}

%description -n %{develname}
Header files for developing applications making use of libtelnet.

%package utils
Summary:	TELNET utility programs from libtelnet
Group:		Networking/Other
Conflicts:	%{develname} < 0.21-5

%description utils
Provides three utilities based on the libtelnet library.
  * telnet-proxy - a TELNET proxy and debugging daemon
  * telnet-client - simple TELNET client
  * telnet-chatd - no-features chat server for testing TELNET clients.

%prep
%setup -q

# make autoreconf happy
sed -i -e 's,\(^AC_PROG_LIBTOOL.*\),AM_PROG_AR\n\1,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README COPYING NEWS
%{_libdir}/libtelnet.so.%{major}
%{_libdir}/libtelnet.so.%{major}.*

%files -n %{develname}
%{_mandir}/man3/*.3.*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*

%files utils
%{_bindir}/*
%{_mandir}/man1/*.1.*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.21-8.mga8
+ Revision: 1514465
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.21-7.mga7
+ Revision: 1299181
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 0.21-6.mga7
+ Revision: 1235999
- fix build on aarch64

* Sun Dec 27 2015 wally <wally> 0.21-5.mga6
+ Revision: 915709
- move man1 pages to utils pkg
- don't tag man pages as docs

* Sat Dec 26 2015 dlucio <dlucio> 0.21-4.mga6
+ Revision: 915282
- URL updated

* Sat Dec 26 2015 dlucio <dlucio> 0.21-3.mga6
+ Revision: 915201
- Groups fixed
- utils dependencies fixed
- devel dependencies fixed
- First import
- imported package libtelnet


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 15 2012 Sean Middleditch <sean@seanmiddleditch.com> - 0.21-3
- Update source URL for new upstream source location.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 18 2012 Sean Middleditch <sean@middleditch.us> - 0.21-1
- Update to libtelnet 0.21.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.20-3
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Sean Middleditch <sean@middleditch.us> 0.20-2
- Added BuildRequires on doxygen.

* Tue Sep 14 2010 Sean Middleditch <sean@middleditch.us> 0.20-1
- Update to libtelnet 0.20.

* Wed Oct 24 2009 Sean Middleditch <sean@middleditch.us> 0.12-1
- Update to libtelnet 0.12.
- Include libtelnet.pc in -devel package.

* Wed Aug 31 2009 Sean Middleditch <sean@middleditch.us> 0.11-1
- Update to libtelnet 0.11.
- Add BuildRequires on zlib-devel.
- Added INSTALL='install -p' to install script.
- Renamed -bin subpackage to -utils.
- Added COPYING and NEWS to main package document list.
- Removed document files from subpackages.

* Wed Aug 29 2009 Sean Middleditch <sean@middleditch.us> 0.10-2
- Corrected URL.
- Removed unnecessary Build-Requires.
- Fixed up use of defattr macro.
- Removed use of makeinstall macro.
- Merged the individual utility packages into a single libtelnet-bin package.

* Wed Jul 29 2009 Sean Middleditch <sean@middleditch.us> 0.10-1
- Initial RPM release.
